> For the complete documentation index, see [llms.txt](https://docs-kr.verifyvasp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-kr.verifyvasp.com/reference/vasp-api-reference/transaction-api.md).

# 트랜잭션 처리 상태 조회 API

## 트랜잭션 처리 상태 조회

<mark style="color:green;">`POST`</mark> `VEGA_VERIFICATION_TRANSACTION_API_PATH`

{% hint style="info" %}
**Enclave 환경 변수:**

<mark style="color:green;">**`VEGA_VERIFICATION_TRANSACTION_API_PATH`**</mark> 변수에, 트랜잭션 처리 상태 조회 API 엔드포인트를 명시합니다.
{% endhint %}

> VASP는 송신 VASP, 수신 VASP 두 역할을 모두 수행해야 합니다. 이 API는 VASP가 송신 VASP 역할을 할 때 호출되는 API입니다.
>
> 송신 VASP에서 VerifyVASP를 통해 수신자 검증을 끝내고 실제 블록체인으로 가상 자산을 전송하면, 해당 트랜잭션의 id (transaction hash) 값을 VerifyVASP로 리포트해야 합니다.
>
> 하지만, 어떤 이유에서든 해당 리포트가 정상적으로 수행되지 못했을 때, 수신 VASP 입장에서 입금이 감지된 건에 대해서 어느 verification과 매칭되는 입금인지를 알 수 있어야 합니다.
>
> 이를 위해 수신 VASP에서 VerifyVASP에 특정 verification에 대한 실제 블록체인의 트랜잭션 처리 상태를 조회할 수 있으며, VerifyVASP는 다시 송신 VASP에게 해당 요청을 전달하는데 그때 호출되는 API입니다.

{% hint style="info" %}
**응답 시간:**

이 트랜잭션 처리 상태 조회 API는 1초 이내에 응답해야 합니다.
{% endhint %}

## Request Header

| Field Name    | Description                                        |
| ------------- | -------------------------------------------------- |
| Authorization | Bearer \<VEGA\_VERIFICATION\_AUTHORIZATION\_TOKEN> |

## Request Body

<details>

<summary>Request Body Examples</summary>

```json
{
  "verificationUuid": "8557f2b2-985e-431f-8d52-75c2e5a01e46"
}
```

</details>

| Field Name       | Data Type | Required | Example                                | Description                                                                                                      |
| ---------------- | --------- | -------- | -------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| verificationUuid | string    | true     | “8557f2b2-985e-431f-8d52-75c2e5a01e46” | 트랜잭션 처리 상태를 조회할 verification의 UUID. 실제 Transaction을 블록체인에 보내기 전에, 수행했던 검증(/verifications) 과정에서 키로 사용하였던 UUID입니다. |

## Response Body

<details>

<summary>Response Body Examples</summary>

* 200 OK

```json
{
  "verificationUuid": "8557f2b2-985e-431f-8d52-75c2e5a01e46",
  "transactionStatus": "PROCESSING",
  "txHash": "8a54d58ca4100112a5430818776d74898f2232770bae03046862575cb851a042",
  "vout": "2"
}
```

</details>

| Field Name        | Data Type | Required | Example                                                            | Description                                         |
| ----------------- | --------- | -------- | ------------------------------------------------------------------ | --------------------------------------------------- |
| verificationUuid  | string    | true     | "8557f2b2-985e-431f-8d52-75c2e5a01e46"                             | 트랜잭션 처리 상태를 조회한 verification의 uuid                  |
| transactionStatus | string    | true     | "PROCESSING"                                                       | 트랜잭션의 처리 상태. (하단 설명 참조)                             |
| txHash            | string    | false    | "8a54d58ca4100112a5430818776d74898f2232770bae03046862575cb851a042" | 트랜잭션의 id (transaction hash), 알 수 있는 경우에만 반환         |
| vout              | string    | false    | "2"                                                                | 트랜잭션 내에서 몇 번째 거래에 해당하는지를 나타내는 인덱스 값, 알 수 있는 경우에만 반환 |

* <mark style="color:blue;">**transactionStatus**</mark> 필드에는 다음과 같은 값이 들어갈 수 있습니다.
  * **PENDING**: 어떤 이유에서든 아직 블록체인 트랜잭션을 보내지 않고 대기하고 있는 상태
  * **PROCESSING**: 블록체인에 트랜잭션을 전송했고 채굴 대기 중인 상태
  * **WAIT-CONFIRM**: 블록체인 트랜잭션이 채굴이 된 것을 확인했지만 아직 finality를 확보하지 못한 상태
  * **CONFIRMED**: 블록체인 트랜잭션이 채굴되었고 finality도 확보된 상태
  * **CANCELED**: 블록체인 트랜잭션을 보내지 않고 취소한 상태 혹은 보냈는데 취소한 상태 (영구히 취소된 경우)

![](/files/YdyiHD6NO9XvXVrgyftl)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-kr.verifyvasp.com/reference/vasp-api-reference/transaction-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
